quassel follows to active desktop if minimize to systray is activated
Description

when i activate "the minimize to systray" in settings, the quassel window follows me to every desktop. we talked about this in
#quassel-de, others have the same problem. i can reproduce it.

Additional information:

<bdgraue> quassel folgt mir gerade auf jede arbeitsflache, was kann ich da aus versehen aktiviert haben und wie kann ichs wieder
rickgangig machen?

<KRF> hangt wohl am window manager

<Weaselweb> bdgraue: dass quassel auf anderen arbeitsflachen mitwandert, ist bei mir auch so. keine ahnung woran das liegt
<Sput> humm, window manager auf "pin" gestellt?

<Sput> auf jeden fall

<Sput> Inagp

<Quassel> Not A Quassel Problem. At least not until you've proved the opposite...

<bdgraue> Sput: wo stellt man denn da auf pin? ich bin mir nicht bewusst sowas eingestellt zu haben und ich habe das problem
auch nur mit quassel, wo muss ich nach der einstellung suchen?

<Sput> bdgraue: keine ahnung was fir einen WM du nutzt

<bdgraue> Sput: kde4 kwin

<Sput> aber quassel macht nix mit window placement

<Sput> hm, in oxygen hab ich oben links nen knopp "on all desktops”

<bdgraue> ja, den hab ich auch, aber dann ists auf allen desktops gleichzeitig, nicht nur auf dem wo ich mich aktuell befinde
<bdgraue> den knopp hab ich eben extra probiert

<bdgraue> wenn ich quassel Uber erweitert

*- Sput cann das nicht reproduzieren

<bdgraue> +g

<Sput> allerdings machter hier nen minimize beim context-wechsel

<Sput> eh, desktopwechsel

<Sput> kdnnte sein daf3 das related ist

<bdgraue> hmm

<bdgraue> ha

<bdgraue> Sput: wenn ich den haken rausnehme, dass er beim minimieren im systray landen soll, dann ist das verhalten weg,
vielleicht auch fir dich interessant Weaselweb

<Sput> mhm, vermute daB er minimiert

<Sput> oder so

<bdgraue> Weaselweb: hast du da den haken drin?

<Weaselweb> bdgraue: beim minimieren soll er in den systray gehen. so hab ich das eingestellt

History

#1 - 12/01/2008 09:32 PM - superfly

| get this too, and | find it highly irritating. | like having Quassel in my tray, and to have to minimize it just so that | can move to another desktop is
plain ridiculous.

#2 - 12/28/2008 01:51 AM - Sputnick
- Priority changed from High to Normal

#3 - 04/22/2009 11:04 AM - Sputnick
- Target version set to 0.4.2

- Version set to 0.4.1
- OS set to Any

Hmm, | can't seem to be able to reproduce this anymore in current KDE trunk, e.g. desktop change doesn't minimize anymore here. Is it still a
problem in the current KDE 4.2 stable release? If it is, | may have to workaround this somehow, even though I'd like to tag this is an upstream bug
(desktop change should not trigger minimize).

#4 - 04/22/2009 03:39 PM - bdgraue

Same here, can't reproduze it anymore. | don't know what fixed it, but it works as expected.

version quassel 0.4.1 (dist-b5798a1)
protocol version 9
compiled apr 3 2009 21:54:38

KDE 4.2.2
Distribution Kubuntu Jaunty Jackalope

#5 - 04/22/2009 07:19 PM - Weaselweb

Well, now quassel doesn't move to the active desktop, if "Minimize to tray on minimize button" is checked. But quassel now minimizes to tray by just
switching the desktop. By unchecking this option, the quassel window doesn't get monimized and stays on the desktop, where it was opened.

version: v0.4.0 [+144] (git-5b80bf4*)
KDE-4.2.70

#6 - 04/22/2009 08:17 PM - bdgraue

that works as expected here, quassel stays open. i used pager, mousewheel on desktop, desktop grid and cube to try it out. quassel stays open.

#7 - 04/27/2009 11:31 PM - Sputnick
- Status changed from Assigned to Feedback

System tray behavior has been revamped in http:/gi

Please test that this issue hasn't come back; then | can close this report.

#8 - 05/25/2009 11:41 PM - Sputnick
- Target version changed from 0.4.2 to 0.4.3

#9 - 09/11/2009 12:55 AM - Sputnick
- Status changed from Feedback to Resolved

- Target version deleted (0.4.3)

Closed due to no more feedback.
